> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useaira.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List customers

> This endpoint allows fetching a list of customers.



## OpenAPI

````yaml /api-reference/openapi.yaml get /v1/customers/
openapi: 3.1.0
info:
  title: API Reference
  version: '1.0'
  description: Aira API Reference
  x-logo:
    url: https://static.useaira.com/images/airalogo.svg
    backgroundColor: '#FFFFFF'
    altText: Aira Logo
servers:
  - url: https://api.useaira.com
    description: API base URL
security:
  - ApiKey: []
paths:
  /v1/customers/:
    get:
      tags:
        - Customers
      summary: List customers
      description: This endpoint allows fetching a list of customers.
      parameters:
        - schema:
            type: string
          in: query
          name: search
          required: false
        - schema:
            type: boolean
            default: false
          in: query
          name: includeArchived
          required: false
          description: Whether archived customers should be returned.
        - schema:
            type: number
            default: 0
            minimum: 0
          in: query
          name: offset
          required: false
        - schema:
            type: number
            minimum: 1
            default: 100
            maximum: 100
          in: query
          name: limit
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      description: Schema representing a customer.
                      properties:
                        id:
                          description: The unique identifier of the customer in our system.
                          type: string
                          format: uuid
                        externalId:
                          description: >-
                            An optional external identifier of the customer from
                            the external system, used throughout the system to
                            identify the customer.
                          type: string
                          pattern: ^[a-zA-Z0-9_-]+$
                          example: 705faf65-9c8b-4053-8c0b-2021281ce83f
                        name:
                          description: The name of the customer.
                          type: string
                          example: Acme Inc.
                        invoicePrefix:
                          description: >-
                            The prefix of the customer's invoices. This is
                            generated by the system and cannot be updated.
                          type: string
                          example: ACMEI
                        type:
                          description: Customer type in organizations hierarchy.
                          type: string
                          enum:
                            - individual
                            - organization
                            - subsidiary
                          example: individual
                        parentCustomerId:
                          description: Parent customer ID when customer is a subsidiary.
                          type:
                            - 'null'
                            - string
                          format: uuid
                        archivedAt:
                          description: Archive timestamp for customers that were archived.
                          type:
                            - 'null'
                            - string
                          format: date-time
                        customFields:
                          type: object
                          description: >-
                            Custom fields that can be associated with the
                            entity. The fields must be previously created in the
                            system before they can be used.
                          additionalProperties:
                            anyOf:
                              - type: string
                              - type: array
                                items:
                                  type: string
                          default: {}
                          example:
                            customField1: value1
                            customField2:
                              - value2
                              - value3
                      required:
                        - id
                        - externalId
                        - name
                        - type
                      additionalProperties: false
                    description: A list of items.
                  hasMore:
                    description: Indicates if there are more items to fetch.
                    type: boolean
                required:
                  - items
                  - hasMore
                additionalProperties: false
components:
  securitySchemes:
    ApiKey:
      type: apiKey
      description: API Key Authentication.
      name: X-API-KEY
      in: header

````